/*
Theme Name: go-child
Description: Theme enfant de Mattéo Groult pour lampemasume
Author: Mattéo Groult
Author URI: https://www.wpserveur.net
Template: go
Version: 0.1.0
*/

@font-face {
    font-family: 'TahomaRegular';
    src: url("../assets/fonts/Tahoma_regular.ttf") format('truetype');
}

body {
    font-family: 'TahomaRegular', sans-serif !important;
}

.entry-header {
    padding-top: 30px !important;
    padding-bottom: 50px !important;
}

.header__inner.flex.items-center.justify-between.h-inherit.w-full.relative {
    height: 15vh;
}

.entry-content > :first-child, .entry-content > * {
    margin-top: 30px !important;
    width: 100% !important;
    max-width: 900px !important;
}

.wp-block-coblocks-gallery-carousel {
    cursor: pointer;
}

.wp-block-coblocks-gallery-carousel img {
    width: 100%;
    aspect-ratio: 3/2;
}

footer#colophon {
    margin-top: 100px;
    padding-bottom: 30px;
}

.alignwide, .alignfull {
    margin: 0 auto !important;
}

.wp-block-coblocks-gallery-carousel.container {
    max-width: 900px !important;
}

.slider_homepage {
    margin: 0 auto !important;
}

.slider_homepage img {
    aspect-ratio: 3/2 !important;
}

.slider_homepage .carousel-item {
    height: auto !important;
}

.container {
    max-width: 900px !important;
    width: 100%;
}

@media screen and (max-width: 940px) {
    .container {
        padding: 0 20px;
    }
}

.remove_desc figcaption {
    display: none;
}

.two_products ul.wc-block-grid__products > li {
    width: 100% !important;
    max-width: 100% !important;

}

blockquote.wp-block-quote p.is-style-default {
    text-align: justify;
}

select#wc-block-components-sort-select__select-0 {
    display: none;
}

.last_box_collection {
    margin-bottom: 30px !important;
}

.carousel-caption {
    display: flex;
    justify-content: center;
}

.carousel-caption .captionContent {
    width: max-content !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
    background: rgba(0, 0, 0, .4);
    padding: 0 15px;
}

.carousel-caption .captionContent h5, .carousel-caption .captionContent p {
    width: max-content !important;
}

.carousel-caption a {
    color: #fff !important;
}

/* COLLECTION 2022-2023 */

.products_collection {
    border-left: 0 !important;
    border-right: 0 !important;
    border-bottom: 0 !important;
    border-top: 2px solid !important;
    margin: 70px 0 0 0 !important;
    padding: 70px 0 0 0 !important;

    display: flex;
}

.products_collection:first-child {
    border: 0 !important;
    margin: 0 !important;
}


#post-79 > div > div > div > ul > li {
    margin-bottom: 0 !important;
}

@media screen and (max-width: 500px) {
    #post-79 > div > div > div > ul > li.products_collection {
        flex-direction: column !important;
        margin: 50px 0 0 0 !important;
        padding: 50px 20px 0 20px !important;
    }

    .products_collection > div {
        width: 100% !important;
        padding: 0 !important;
    }

    #post-79 > div > div > div > ul > li.products_collection > .product_collection_content > a > .wc-block-grid__product-title {
        margin: 20px 0 8px 0 !important;
        font-size: 1.5em !important;
    }

    #post-101 > div > div > div.wp-block-columns.alignwide.container.is-layout-flex.wp-container-4 > div:nth-child(1) > div {
        margin-bottom: 30px;
    }

    .container {

    }
}

@media screen and (max-width: 940px) {
    .entry-content > :first-child {
        padding: 0 20px !important;
    }
}

.products_collection:nth-child(even) {
    flex-direction: row;
}

.products_collection .product_collection_content .price {
    color: #000 !important;
    font-size: 14px !important;
    display: inline-block;
    margin: 0;
}

.products_collection:nth-child(odd) {
    flex-direction: row-reverse;
}

.products_collection .product_collection_content > * {
    text-align: left !important;
    width: 100% !important;
}

.products_collection:nth-child(even) .product_collection_img img {
    border-radius: 15% 0;
}

.products_collection:nth-child(odd) .product_collection_img img {
    border-radius: 0 15%;
}

.products_collection:nth-child(even) .product_collection_img {
    padding-left: 10%;
    padding-right: 3%;
}

.products_collection:nth-child(odd) .product_collection_img {
    padding-right: 10%;
    padding-left: 3%;
}

.products_collection .product_collection_img {
    width: 70%;
}

.products_collection .product_collection_content {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: nowrap;
    justify-content: center;
    padding: 0 2%;
}

#post-79 > div > div > div > ul > li > div.product_collection_content > div.price > div {
    margin: 0 !important;
}

.products_collection .product_collection_content .wc-block-grid__product-title {
    margin: 0 0 10px 0 !important;
}

.products_collection .product_collection_content a {
    text-decoration: none !important;
}

.products_collection .product_collection_content .type,
.products_collection .product_collection_content .dimension,
.products_collection .product_collection_content .materiaux,
.products_collection .product_collection_content .price,
.products_collection .product_collection_content .amount {
    font-family: 'TahomaRegular', sans-serif !important;
    font-size: 1.08em !important;

}

.product_collection_img img {
    width: 100% !important;
    margin: 0 !important;
}

.product_collection_img .wc-block-grid__product-image {
    margin: 0 !important;
}


#post-79 > div > div > div > ul > li > div.product_collection_img > a > div > img {
    width: 100% !important;
    object-fit: cover !important;
    aspect-ratio: 3/2 !important;
    max-width: 100% !important;
}

/* PRODUCT homepage */
ul.wc-block-grid__products {
    margin: 0 !important;
}

.products_homepage img {
    width: 100% !important;
    aspect-ratio: 3/2 !important;
    object-fit: cover !important;
    margin: 0 !important;
}

li.products_homepage {
    border: 0 !important;
    padding: 0 !important;
    margin: 0 !important;
}

.product_homepage {
    position: relative;
}

.product_homepage > .title {
    position: absolute;
    bottom: -23px;
    left: 0;
}

.product_homepage > .title > div {
    margin: 0 !important;
    font-size: 15px !important;
    font-weight: normal;
    line-height: 0;
}

.product_homepage > .price {
    position: absolute;
    bottom: -20px;
    right: 0;
    margin: 0 !important;
}

.product_homepage > .price > div {
    margin: 0 !important;
}

.two_products span.woocommerce-Price-amount.amount {
    font-size: 10px;
}

.wc-block-grid .wc-block-grid__products .wc-block-grid__product .wc-block-grid__product-price, .woocommerce div.product p.price, .woocommerce div.product span.price {
    font-size: 15px !important;
    line-height: 15px !important;
}

.three_col_hp .wp-block-column.is-layout-flow {
    padding: 0;
}

.three_col_hp img.wp-image-197 {
    height: 456px;
    object-fit: cover;
}


.three_col_hp > div:nth-child(1) h2 {
    display: flex;
    align-items: center;
    height: 100%;
}

.three_col_hp > div:nth-child(1) {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.three_col_hp > div:nth-child(1) img {
    height: 300px;
    object-fit: cover;
}

/* SIGLE PRODUCT */
img.zoomImg {
    display: none !important;
}

.woocommerce div.product div.images .flex-control-thumbs li {
    width: calc(100% / 7) !important;
}

.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li:nth-child(4n+1) {
    clear: none !important;
}

.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li:nth-child(7n+1) {
    clear: left;
}

.table_add_to_cart {
    display: inline-flex;
    align-items: center;
    width: 100%;
    margin-top: 50px;
}

.woocommerce-variation-add-to-cart.variations_button {
    display: flex;
    align-items: center;
    justify-content: center;
}

.woocommerce .quantity .qty {
    margin-bottom: 0 !important;
}

table.variations select {
    margin-bottom: 15px !important;
}

.product-navigation-wrapper {
    padding: 20px 0 20px 0 !important;
}

.woocommerce div.product form.cart .variations select {
    padding: 8px 10px 4px 10px !important;
}

th.label {
    padding-top: 0;
    padding-bottom: 0;
}

.summary.entry-summary {
    padding-top: 0 !important;
}

.product h1.product_title.entry-title {
    margin-bottom: 15px !important;
}

.woocommerce-tabs.wc-tabs-wrapper {
    padding-top: 50px !important;
}

select#temperature-de-couleur {
    margin-bottom: 0 !important;
}

.instruction_livraison {
    font-size: 13px;
    color: #7a7a7a;
    padding: 0 0.5rem 20px;
    line-height: 17px;
}

.woocommerce div.product form.cart .variations td.value, .woocommerce div.product form.cart .variations th.value {
    padding: 0 .5rem !important;
}

.fullwidthcustom {
    width: 100% !important;
    max-width: 100% !important;
}